<div [hidden]="pager.totalRowCount === 0" class="pager-container">
	<div class="pager-left pager-count-display">
		<div *ngIf="pager.totalPageCount === 1">
			<div *ngIf="pager.totalRowCount === 1">
				<span>Displaying 1 record</span>
			</div>
			<div *ngIf="pager.totalRowCount > 1">
				<span>Displaying {{pager.totalRowCount.toLocaleString()}} records</span>
			</div>
		</div>
		<div *ngIf="pager.totalPageCount > 1">
			<div *ngIf="pager.displayRowsEndIndex === pager.displayRowsStartIndex + 1">
				<span>Displaying record {{pager.totalRowCount.toLocaleString()}} of {{pager.totalRowCount.toLocaleString()}}</span>
			</div>
			<div *ngIf="pager.displayRowsEndIndex > pager.displayRowsStartIndex + 1">
				<span>Displaying {{(pager.displayRowsStartIndex + 1).toLocaleString()}}-{{(pager.displayRowsEndIndex + 1).toLocaleString()}} of {{pager.totalRowCount.toLocaleString()}} records</span>
			</div>
		</div>
	</div>
	<div [hidden]="pager.totalPageCount === 1" class="pager-left pager-navigation">
		<span class="pager-control" (click)="goToPage(1)"><<</span>
		<span class="pager-control" (click)="goToPage(pager.currentPage - 1)"><</span>
		<span class="pager-control" (click)="skip(false)">...</span>
		<span [class]="p === pager.currentPage ? 'pager-control pager-current' : 'pager-control'" *ngFor="let p of pager.displayedPageNumbers" (click)="goToPage(p)">{{p}}</span>
		<span class="pager-control" (click)="skip(true)">...</span>
		<span class="pager-control" (click)="goToPage(pager.currentPage + 1)">></span>
		<span class="pager-control" (click)="goToPage(pager.totalPageCount)">>></span>
	</div>
</div>
